function [Az , El, Range] =GcCToLoc(P, gc0, sgM)

% Returns Az, El (degrees) coordinates and Range on a site, given geocentric 
% cartesian coordinates (P) of the intersection volume, the geocentric cartesian
% coordinates (gc0) of the site, and rotation matrix (sgM) from site frame
% to geocentric frame.

RD = 45/atan(1);

% Get radius vector Q from the site to P, in GcC-coordinates.



    Qg = P - gc0;


% Map Q from geocentric cartesian (Qg) to site cartesian frame (Qs) by 
% multiplying it with the transpose (= inverse) of sgM.


Qs = Qg * sgM;


D12 = Qs(1)*Qs(1) + Qs(2)*Qs(2);
Range = sqrt( D12 + Qs(3)*Qs(3));

if (Range > eps) & (D12 > eps)  

    El = asin( Qs(3) / Range) * RD;
    Az = 180 - atan2( Qs(2), Qs(1) ) * RD;
    
else

    El = 90.0;
    Az = 0.0 ;
    
end


