function aaM =Get_aaM( Az1, El1, Az2, El2, sgM1, sgM2)

% aaM        <-- : Rotation matrix from antenna (ver,hor,dir) frame of site 1
%                  to antenna frame of site 2.
% Az1...El2  --> : Pointing directions on site 1 and 2 in degrees.
% sgM1,sgM2  --> : Rotation matrixes from site frames to geosentric frames.

% Compute rotation matrixes from antenna frames to site frames.

asM1 = Get_asM( Az1, El1 );
asM2 = Get_asM( Az2, El2 );

% Form some necessary inverse matrixes by transposing.

saM2 = (asM2)';
gsM2 = (sgM2)';

% Multiply out the result.

A   = sgM1*asM1;
B   = gsM2*A   ;
aaM = saM2*B   ;
%keyboard

