

function G = LatLonHgt(Lat, Lon, Hgt, Refsite)

% 
% Return EISCAT geometry parameters
%
%-----------------------------------------
%
% Various coordinate transformation matrixes
%

[gcT,gcS,gcK,gcESR,sgTT,sgKK,sgSS,sgESR,TX] = init_ogeo_sites;

[gcR,sgRR] = ogeo_site(Refsite, gcT, gcS, gcK, gcESR, sgTT, sgSS, sgKK, sgESR);

% Pointing in  Lat, Lon, Hgt -system

gcP = GgrToGcC(Lat, Lon, Hgt);

G = ogeo_calc(gcP,gcT,gcS,gcK,gcESR,sgTT,sgKK,sgSS,sgESR,TX);
