function [gcT,gcS,gcK,gcESR,sgTT,sgKK,sgSS,sgESR,TX] = init_ogeo_sites;

%[gcT,gcS,gcK,gcESR,sgTT,sgKK,sgSS,sgESR,TX] = init_ogeo_sites;

% 29-May-2001 
% 16-Mar-2002 TX handednes changed to LHC
% 23-Mar-2002 Avoid unnecessary init for those versions of Matlab which
%             support 'persistent' variables.
% 26-Mar-2004 ESR site coordinates changed !!!  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if exist('persistent','builtin')
    persistent gcT0 gcS0 gcK0 gcESR0 sgTT0 sgKK0 sgSS0 sgESR0 TX0 PersInitDone
    if PersInitDone
        gcT = gcT0; 
        gcS = gcS0; 
        gcK = gcK0;
        gcESR = gcESR0;
        sgTT = sgTT0;
        sgKK = sgKK0;
        sgSS = sgSS0;
        sgESR = sgESR0;
        TX = TX0;
        return
    end
else
    PersInitDone = 1;    
end    

latK = 67.860658;     %
lonK = 20.435222;     % Kiruna
hgtK = 0.4179;        %      

latT = 69.586453;     %
lonT = 19.227428;     % Tromso
hgtT = 0.0865;        %

latS = 67.363683;     %
lonS = 26.627081;     % Sodankyla
hgtS = 0.1973;        %

% latESR = 78.09095;    %
% lonESR = 16.01405;    % ESR
% hgtESR = 0.432;       %

% ESR coordinates changed 26-Mar-2004 JM.
% to be identical to what EROS uses. These correspond (more nearly)
% to what is given in EISCAT Annual Report 1998-2001, p. 2.

latESR = 78.15313;    %
lonESR = 16.02875;    % ESR
hgtESR = 0.445;       %


% Geocentric cartesian coordinates (gcX) of the sites

gcT = GgrToGcC(latT, lonT, hgtT);
gcS = GgrToGcC(latS, lonS, hgtS);
gcK = GgrToGcC(latK, lonK, hgtK);
gcESR = GgrToGcC(latESR, lonESR, hgtESR);

% Rotation matrixes (sgXX) from site to geocentric coordinates

sgTT = Get_sgM(latT, lonT);
sgKK = Get_sgM(latK, lonK);
sgSS = Get_sgM(latS, lonS);
sgESR = Get_sgM(latESR, lonESR);

% Default TX polarization

TX(1) = 1/sqrt(2);
TX(2) = 0;
TX(3) = 1/sqrt(2);
%TX(4) = -90;		%for RHC
TX(4) = +90; 		%for LHC

if exist('persistent','builtin')
    gcT0 = gcT; 
    gcS0 = gcS; 
    gcK0 = gcK;
    gcESR0 = gcESR;
    sgTT0 = sgTT;
    sgKK0 = sgKK;
    sgSS0 = sgSS;
    sgESR0 = sgESR;
    TX0 = TX;
    PersInitDone = 1;
end
