function [msg,G] = ogeometry(command,varargin)

%[msg,G] = ogeometry(command,varargin)
%
% 

%-----------------------------------------------------

msg = '';
G = '';

switch command
    case 'PointReferenceRange'
        msg = check_AER(varargin{1},varargin{2},varargin{3},varargin{4});
        if isempty(msg)
            G = AzElRge(varargin{1},varargin{2},varargin{3},varargin{4});
        else
            G = [];
        end                
    case 'PointReferenceHeight'
        msg = check_AEH(varargin{1},varargin{2},varargin{3},varargin{4});
        if isempty(msg)
            G = AzElHgt(varargin{1},varargin{2},varargin{3},varargin{4});
        else                
            G = [];
        end                
    case 'PointGeographic'
        msg = check_LLH(varargin{1},varargin{2},varargin{3},varargin{4});
        if isempty(msg)
            G = LatLonHgt(varargin{1},varargin{2},varargin{3},varargin{4});
        else
            G = [];
        end
    case 'ChangeReferenceSite'
        if length(varargin) ~= 1
            msg = 'Wrong number of input parameters';
        else
            if isempty(msg)
                [Site,msg] = changerefsite(varargin{1});
            else
                Site = '';
            end                
            G = Site;
        end
    otherwise
        msg = [mfilename ': Illegal command (' command ')'];
end
return
%end ogeometry


%%%%%%%%%%%%%%%%%%%%%% subfunctions %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function msg = check_AER(azim, elev, range, site)
%------------------------------------------------
msg = '';
return


function msg = check_AEH(azim, elev, height, site)
%-------------------------------------------------
msg = '';
return


function msg = check_LLH(lat, lon, height, site)
%-----------------------------------------------
msg = '';
return


function [Site,msg] = changerefsite(site)
%-----------------------------------------
global OGEOM
msg = '';
Site = '';
if nargin == 0 | isempty(site)
    msg = OGEOM.rsite;
    return;
end    
if ~ischar(site)
    msg = 'Illegal parameter -- K,S,T or E|L expected';
    return;
end
Site = upper(site);
if strncmp(Site,'SODANKYLA',1)
    Site = 'S';
elseif strncmp(Site,'KIRUNA',1)    
    Site = 'K';
elseif strncmp(Site,'TROMSO',1)    
    Site = 'T';
elseif strncmp(Site,'LONGYERBYEN',1)    
    Site = 'L';
elseif strncmp(Site,'ESR',1)    
    Site = 'L';
else
    msg = 'Illegal parameter -- K,S,T, or E|L expected';
    return;
end
return
%end changersite
